/* Fichier de création des informations de la BDD */

/* Suppression des vues si elles existent */

/* Suppression des tables si elles existent */

drop table if exists reservation ;
drop table if exists equipement ;
drop table if exists banc ;
drop table if exists equip_type ;
drop table if exists creneau ;
drop table if exists utilisateur ;

/* Creation des tables pour l'interface Web */

create table utilisateur
	(LOGIN char(8) PRIMARY KEY,
	 MDP char(20));

create table creneau
	(JOUR date PRIMARY KEY);

create table banc
	(NUMERO int PRIMARY KEY);

create table equip_type
	(TYPE char(30) PRIMARY KEY);

create table equipement
	(numero int REFERENCES banc,
	 IP char(15) PRIMARY KEY,
	 NOM char(50),
	 type char(30) REFERENCES equip_type);

create table reservation
	(numero int REFERENCES banc,
	 jour date REFERENCES creneau,
	 login char(8) REFERENCES utilisateur,
	 HEUREDEBUT char(5),
	 HEUREFIN char(5),
	 /*UNIQUE(moment,HEUREDEBUT),*/
	 PRIMARY KEY(numero,jour,HEUREDEBUT));

/* Insertions des donnees dans la BDD */

insert into utilisateur values ('lwadbled','Louis');
insert into utilisateur values ('admin','glopglop');

insert into creneau values (01/12/2021);

insert into equip_type values ("Oscilloscope");
insert into equip_type values ("Generateur");
insert into equip_type values ("Matrice");
insert into equip_type values ("Multimetre");

insert into banc values (1);

/* Creation des vues pour faciliter l'utilisation de la BDD sur l'interface Web */
